org.eclipse.net4j.util.container.delegate

## Class ContainerList<E>

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.container.delegate.AbstractDelegator<E>
    - - org.eclipse.net4j.util.container.delegate.ContainerCollection<E>
      - - org.eclipse.net4j.util.container.delegate.ContainerList<E>

- All Implemented Interfaces:
    java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, IContainerCollection<E>, IContainerList<E>, IContainer<E>, INotifier

      public class ContainerList<E>
      extends ContainerCollection<E>
      implements IContainerList<E>

  A default implementation of a `container list`.
  Author:
    Eike Stepper
  Apiviz

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ContainerList.DelegatingListIterator` A delegating `list iterator`.

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

      `AbstractDelegator.DelegatingIterator`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerList(java.util.List<E> delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, E element)`
    `boolean` | `addAll(int index, java.util.Collection<? extends E> c)`
    `E` | `get(int index)`
    `java.util.List<E>` | `getDelegate()`
    `int` | `indexOf(java.lang.Object o)`
    `int` | `lastIndexOf(java.lang.Object o)`
    `java.util.ListIterator<E>` | `listIterator()`
    `java.util.ListIterator<E>` | `listIterator(int index)`
    `E` | `remove(int index)`
    `E` | `set(int index, E element)`
    `java.util.List<E>` | `subList(int fromIndex, int toIndex)`

    - ### Methods inherited from class org.eclipse.net4j.util.container.delegate.ContainerCollection

      `add, addAll, clear, contains, containsAll, equals, getElements, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from class org.eclipse.net4j.util.container.delegate.AbstractDelegator

      `createEvent, dispatchEvent, fireAddedEvent, fireRemovedEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface java.util.List

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, replaceAll, retainAll, size, sort, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### ContainerList

          public ContainerList(java.util.List<E> delegate)

  - ### Method Detail

    - #### getDelegate

          public java.util.List<E> getDelegate()

      Specified by:
        `getDelegate` in interface `IContainerCollection<E>`
      Specified by:
        `getDelegate` in interface `IContainerList<E>`
      Overrides:
        `getDelegate` in class `ContainerCollection<E>`

    - #### add

          public void add(int index,
                          E element)

      Specified by:
        `add` in interface `java.util.List<E>`
      Category
        WRITE

    - #### addAll

          public boolean addAll(int index,
                                java.util.Collection<? extends E> c)

      Specified by:
        `addAll` in interface `java.util.List<E>`
      Category
        WRITE

    - #### get

          public E get(int index)

      Specified by:
        `get` in interface `java.util.List<E>`
      Category
        READ

    - #### indexOf

          public int indexOf(java.lang.Object o)

      Specified by:
        `indexOf` in interface `java.util.List<E>`
      Category
        READ

    - #### lastIndexOf

          public int lastIndexOf(java.lang.Object o)

      Specified by:
        `lastIndexOf` in interface `java.util.List<E>`
      Category
        READ

    - #### listIterator

          public java.util.ListIterator<E> listIterator()

      Specified by:
        `listIterator` in interface `java.util.List<E>`
      Category
        READ

    - #### listIterator

          public java.util.ListIterator<E> listIterator(int index)

      Specified by:
        `listIterator` in interface `java.util.List<E>`
      Category
        READ

    - #### remove

          public E remove(int index)

      Specified by:
        `remove` in interface `java.util.List<E>`
      Category
        WRITE

    - #### set

          public E set(int index,
                       E element)

      Specified by:
        `set` in interface `java.util.List<E>`
      Category
        WRITE

    - #### subList

          public java.util.List<E> subList(int fromIndex,
                                           int toIndex)

      Specified by:
        `subList` in interface `java.util.List<E>`
      Category
        READ

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html